# Uses of Class
org.springframework.asm.Handle

Packages that use Handle
Package
Description
org.springframework.asm
Spring's repackaging of ASM 9.x (with Spring-specific patches; for internal use only).
org.springframework.cglib.transform
Spring's repackaging of the CGLIB transform package (for internal use only).

## Uses of Handle in org.springframework.asm

Methods in org.springframework.asm that return Handle
Modifier and Type
Method
Description
`Handle`
ConstantDynamic.`getBootstrapMethod()`
Returns the bootstrap method used to compute the value of this constant.
Methods in org.springframework.asm with parameters of type Handle
Modifier and Type
Method
Description
`int`
ClassWriter.`newConstantDynamic(String name, String descriptor, Handle bootstrapMethodHandle, Object... bootstrapMethodArguments)`
Adds a dynamic constant reference to the constant pool of the class being build.
`int`
ClassWriter.`newInvokeDynamic(String name, String descriptor, Handle bootstrapMethodHandle, Object... bootstrapMethodArguments)`
Adds an invokedynamic reference to the constant pool of the class being build.
`void`
MethodVisitor.`visitInvokeDynamicInsn(String name, String descriptor, Handle bootstrapMethodHandle, Object... bootstrapMethodArguments)`
Visits an invokedynamic instruction.
Constructors in org.springframework.asm with parameters of type Handle
Modifier
Constructor
Description
``
`ConstantDynamic(String name, String descriptor, Handle bootstrapMethod, Object... bootstrapMethodArguments)`
Constructs a new `ConstantDynamic`.

## Uses of Handle in org.springframework.cglib.transform

Methods in org.springframework.cglib.transform with parameters of type Handle
Modifier and Type
Method
Description
`void`
MethodVisitorTee.`visitInvokeDynamicInsn(String name, String desc, Handle bsm, Object... bsmArgs)`